package environment

import "os"

var (
	EnvironmentVariables = map[string]string{
		"LOOP_URL":  "localhost:6006",
		"LOOP_SALT": "whatyoutalkingaboutwillus",
		"LOOP_DATA": ".",
	}
)

func ConfigureEnvironment() {
	for key, value := range EnvironmentVariables {
		env := os.Getenv(key)
		if env == "" && value != "" {
			os.Setenv(key, value)
		}
	}
}

func Address() string {
	return os.Getenv("LOOP_URL")
}

func Salt() string {
	return os.Getenv("LOOP_SALT")
}
